Create event type mapping
Creates a new event type mapping.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Body
SpiideoEventTypeMapping maps a Motto event type to Spiideo event properties.
The Motto event type this mapping applies to.
Field name on the Motto event type that maps to the home team.
This has to be an entity reference.
E.g. fields.home_team
Field name on the Motto event type that maps to the away team.
This has to be an entity reference.
E.g. fields.away_team
Field name on the Motto event type that maps to the scene/venue.
This has to be an entity reference.
E.g. fields.stadium or fields.venue
Field name on the Motto event type that maps to the home team color.
This has to be a string field that contains a color value, e.g. "#FF0000" for red.
E.g. fields.home_color
Field name on the Motto event type that maps to the away team color.
This has to be a string field that contains a color value, e.g. "#0000FF" for blue.
E.g. fields.away_color
Field name on the Motto event that maps to the Spiideo game description, which shows above the scoreboard in the Spiideo streams.
This must be an entity reference OR a string field.
E.g. fields.competition (in which case the name of the referenced competition will be the description)
E.g. description or fields.some_custom_description (in which case the value of the field will be the description)
Field name on the Motto event type that maps to the sport.
This has to be an entity reference OR if it matches exactly the Spiideo sport enum values, a string field,
E.g. fields.sport (which may be an entity reference)
E.g. fields.sport_type (which may be resolve to a string field with values like "football", "basketball", etc.)
E.g. football (a hard-coded string field, instead of a resolvable field keypath).
If not set, there are two alternative ways to indicate which sport should be used when an event of this type is created:
- The Spiideo sport configured on the TeamTypeMapping. This means the sport will be taken from the home team on the event.
- The Spiideo sport configured on the SpiideoIntegration. This is a last resort, if no other sport can be determined.
The Spiideo graphic package ID to use for any Spiideo game object created for this event type. Required, unless using the production recipe ID.
The Spiideo storyboard ID to use for any Spiideo game object created for this event type. Required, unless using the production recipe ID.
The Spiideo production recipe ID to use for any Spiideo game object created for this event type. Required, unless using the graphic package ID and storyboard ID.
Field name on the Motto event type that maps to the starting lineup of the home team.
This has to be a repeated entity reference to player entities.
E.g. fields.home_starting_players
If not set, no Spiideo participants will be created for the home team of games of this event type.
Field name on the Motto event type that maps to the bench (substitute) players of the home team.
This has to be a repeated entity reference to player entities.
E.g. fields.home_bench_players
Field name on the Motto event type that maps to the starting lineup of the away team.
This has to be a repeated entity reference to player entities.
E.g. fields.away_starting_players
If not set, no Spiideo participants will be created for the away team of games of this event type.
Field name on the Motto event type that maps to the bench (substitute) players of the away team.
This has to be a repeated entity reference to player entities.
E.g. fields.away_bench_players
The name of the additional field within each lineup entity reference that holds the player's jersey number.
E.g. jersey_number, in which case each entry of a lineup field is expected to look like
{"base_type":"entity","id":"<player entity id>","jersey_number":"8","type_id":"player"}.
If not set, no jersey numbers will be set on the Spiideo participants.
Field name on the Motto event type that maps to the competition (one season of a competition series) the event belongs to.
This has to be an entity reference to an entity that is mapped to a Spiideo competition.
E.g. fields.season or fields.competition
If not set, no Spiideo event (fixture) will be created for games of this event type, even when sync_fixtures is enabled
on the SpiideoIntegration.
Response
OK
SpiideoEventTypeMapping maps a Motto event type to Spiideo event properties.

